opencv: /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/internal.hpp File Reference

Classes | Namespaces | Defines | Typedefs | Enumerations | Functions

# /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/internal.hpp File Reference

Go to the source code of this file.

## Classes
class | cv::BlockedRange
struct | CvBigFuncTable
struct | CvFuncTable
class | cv::Split
## Namespaces
namespace | cv
## Defines
#define | __BEGIN__ __CV_BEGIN__
#define | __END__ __CV_END__
#define | CV_1F 0x3f800000
#define | CV_ADD(a, b) ((a) + (b))
#define | CV_AND(a, b) ((a) & (b))
#define | CV_ANDN(a, b) (~(a) & (b))
#define | CV_BIG_INT(n) n##LL
#define | CV_BIG_UINT(n) n##ULL
#define | CV_CAST_16S(t) (short)(!(((t)+32768) & ~65535) ? (t) : (t) > 0 ? 32767 : -32768)
#define | CV_CAST_16U(t) (ushort)(!((t) & ~65535) ? (t) : (t) > 0 ? 65535 : 0)
#define | CV_CAST_32F(t) (float)(t)
#define | CV_CAST_32S(t) (int)(t)
#define | CV_CAST_64F(t) (double)(t)
#define | CV_CAST_64S(t) (int64)(t)
#define | CV_CAST_8S(t) (schar)(!(((t)+128) & ~255) ? (t) : (t) > 0 ? 127 : -128)
#define | CV_CAST_8U(t) (uchar)(!((t) & ~255) ? (t) : (t) > 0 ? 255 : 0)
#define | CV_CHECK_NANS(arr)
#define | CV_DBG_BREAK() { volatile int* crashMe = 0; *crashMe = 0; }
#define | CV_DECL_ALIGNED(x)
#define | CV_DEFAULT_IMAGE_ROW_ALIGN 4
#define | CV_DEFAULT_MAT_ROW_ALIGN 1
#define | CV_DESCALE(x, n) (((x) + (1 << ((n)-1))) >> (n))
#define | CV_DIM(static_array) ((int)(sizeof(static_array)/sizeof((static_array)[0])))
#define | CV_EMPTY
#define | CV_EQ(a, b) ((a) == (b))
#define | CV_FLT_TO_FIX(x, n) cvRound((x)*(1<<(n)))
#define | CV_GE(a, b) ((a) >= (b))
#define | CV_GT(a, b) ((a) > (b))
#define | CV_IMPL CV_EXTERN_C
#define | CV_IMPLEMENT_QSORT(func_name, T, cmp) CV_IMPLEMENT_QSORT_EX( func_name, T, cmp, int )
#define | CV_IMPLEMENT_QSORT_EX(func_name, T, LT, user_data_type)
#define | CV_INIT_FUNC_TAB(tab, FUNCNAME, FLAG)
#define | CV_LE(a, b) ((a) <= (b))
#define | CV_LT(a, b) ((a) < (b))
#define | CV_MAKE_STR(a) #a
#define | CV_MALLOC_ALIGN 16
#define | CV_MAX_ALLOC_SIZE (((size_t)1 << (sizeof(size_t)*8-2)))
#define | CV_MAX_INLINE_MAT_OP_SIZE 10
#define | CV_MAX_LOCAL_MAT_SIZE 32
#define | CV_MAX_LOCAL_SIZE (CV_MAX_LOCAL_MAT_SIZE*CV_MAX_LOCAL_MAT_SIZE*(int)sizeof(double))
#define | CV_MAX_STRLEN 1024
#define | CV_MUL(a, b) ((a) * (b))
#define | CV_NE(a, b) ((a) != (b))
#define | CV_NEG_INF 0x807fffff
#define | CV_NONZERO(a) ((a) != 0)
#define | CV_NONZERO_FLT(a) (((a)+(a)) != 0)
#define | CV_NOP(a) (a)
#define | CV_NOTHROW throw()
#define | CV_OR(a, b) ((a) | (b))
#define | CV_ORIGIN_BL 1
#define | CV_ORIGIN_TL 0
#define | CV_ORN(a, b) (~(a) | (b))
#define | CV_PASTE(a, b) CV_PASTE2(a,b)
#define | CV_PASTE2(a, b) a##b
#define | CV_POS_INF 0x7f800000
#define | CV_SIZEOF_FLOAT ((int)sizeof(float))
#define | CV_SIZEOF_SHORT ((int)sizeof(short))
#define | CV_SPARSE_HASH_RATIO 3
#define | CV_SPARSE_HASH_SIZE0 (1<<10)
#define | CV_SPARSE_MAT_BLOCK (1<<12)
#define | CV_SQR(a) ((a) * (a))
#define | CV_SSE 0
#define | CV_SSE2 0
#define | CV_SSE3 0
#define | CV_STORAGE_BLOCK_SIZE ((1<<16) - 128)
#define | CV_STRUCT_ALIGN ((int)sizeof(double))
#define | CV_STUB_STEP (1 << 30)
#define | CV_SUB(a, b) ((a) - (b))
#define | CV_TOGGLE_DBL(x) ((x)^((int64)(x) < 0 ? CV_BIG_INT(0x7fffffffffffffff) : 0))
#define | CV_TOGGLE_FLT(x) ((x)^((int)(x) < 0 ? 0x7fffffff : 0))
#define | CV_XOR(a, b) ((a) ^ (b))
#define | CV_ZERO_OBJ(x) memset((x), 0, sizeof(*(x)))
#define | cvStackAlloc(size) cvAlignPtr( alloca((size) + CV_MALLOC_ALIGN), CV_MALLOC_ALIGN )
#define | cvUnsupportedFormat "Unsupported format"
#define | EXIT __CV_EXIT__
#define | FALSE 0
#define | IPPI_CALL(func) CV_Assert((func) >= 0)
#define | TRUE 1
## Typedefs
typedef std::vector< Rect > | cv::ConcurrentRectVector
typedef struct CvBigFuncTable | CvBigFuncTable
typedef struct CvFuncTable | CvFuncTable
typedef enum CvStatus | CvStatus
## Enumerations
enum | CvStatus { CV_BADMEMBLOCK_ERR = -113, CV_INPLACE_NOT_SUPPORTED_ERR = -112, CV_UNMATCHED_ROI_ERR = -111, CV_NOTFOUND_ERR = -110, CV_BADCONVERGENCE_ERR = -109, CV_BADDEPTH_ERR = -107, CV_BADROI_ERR = -106, CV_BADHEADER_ERR = -105, CV_UNMATCHED_FORMATS_ERR = -104, CV_UNSUPPORTED_COI_ERR = -103, CV_UNSUPPORTED_CHANNELS_ERR = -102, CV_UNSUPPORTED_DEPTH_ERR = -101, CV_UNSUPPORTED_FORMAT_ERR = -100, CV_BADARG_ERR = -49, CV_NOTDEFINED_ERR = -48, CV_BADCHANNELS_ERR = -47, CV_BADRANGE_ERR = -44, CV_BADSTEP_ERR = -29, CV_BADFLAG_ERR = -12, CV_DIV_BY_ZERO_ERR = -11, CV_BADCOEF_ERR = -10, CV_BADFACTOR_ERR = -7, CV_BADPOINT_ERR = -6, CV_BADSCALE_ERR = -4, CV_OUTOFMEM_ERR = -3, CV_NULLPTR_ERR = -2, CV_BADSIZE_ERR = -1, CV_NO_ERR = 0, CV_OK = CV_NO_ERR }
## Functions
CV_INLINE int | cvAlign (int size, int align)
CV_INLINE void * | cvAlignPtr (const void *ptr, int align CV_DEFAULT(32))
CV_INLINE CvSize | cvGetMatSize (const CvMat *mat)

## Define Documentation

#define __BEGIN__ __CV_BEGIN__

#define __END__ __CV_END__

#define CV_1F 0x3f800000

#define CV_ADD | ( |  | a,
|  |  | b
| ) |  | ((a) + (b))

#define CV_AND | ( |  | a,
|  |  | b
| ) |  | ((a) & (b))

#define CV_ANDN | ( |  | a,
|  |  | b
| ) |  | (~(a) & (b))

#define CV_BIG_INT | ( |  | n ) | n##LL

#define CV_BIG_UINT | ( |  | n ) | n##ULL

#define CV_CAST_16S | ( |  | t ) | (short)(!(((t)+32768) & ~65535) ? (t) : (t) > 0 ? 32767 : -32768)

#define CV_CAST_16U | ( |  | t ) | (ushort)(!((t) & ~65535) ? (t) : (t) > 0 ? 65535 : 0)

#define CV_CAST_32F | ( |  | t ) | (float)(t)

#define CV_CAST_32S | ( |  | t ) | (int)(t)

#define CV_CAST_64F | ( |  | t ) | (double)(t)

#define CV_CAST_64S | ( |  | t ) | (int64)(t)

#define CV_CAST_8S | ( |  | t ) | (schar)(!(((t)+128) & ~255) ? (t) : (t) > 0 ? 127 : -128)

#define CV_CAST_8U | ( |  | t ) | (uchar)(!((t) & ~255) ? (t) : (t) > 0 ? 255 : 0)

#define CV_CHECK_NANS | ( |  | arr ) |

#define CV_DBG_BREAK | ( | ) | { volatile int* crashMe = 0; *crashMe = 0; }

#define CV_DECL_ALIGNED | ( |  | x ) |

#define CV_DEFAULT_IMAGE_ROW_ALIGN 4

#define CV_DEFAULT_MAT_ROW_ALIGN 1

#define CV_DESCALE | ( |  | x,
|  |  | n
| ) |  | (((x) + (1 << ((n)-1))) >> (n))

#define CV_DIM | ( |  | static_array ) | ((int)(sizeof(static_array)/sizeof((static_array)[0])))

#define CV_EMPTY

#define CV_EQ | ( |  | a,
|  |  | b
| ) |  | ((a) == (b))

#define CV_FLT_TO_FIX | ( |  | x,
|  |  | n
| ) |  | cvRound((x)*(1<<(n)))

#define CV_GE | ( |  | a,
|  |  | b
| ) |  | ((a) >= (b))

#define CV_GT | ( |  | a,
|  |  | b
| ) |  | ((a) > (b))

#define CV_IMPL CV_EXTERN_C

#define CV_IMPLEMENT_QSORT | ( |  | func_name,
|  |  | T,
|  |  | cmp
| ) |  | CV_IMPLEMENT_QSORT_EX( func_name, T, cmp, int )

#define CV_IMPLEMENT_QSORT_EX | ( |  | func_name,
|  |  | T,
|  |  | LT,
|  |  | user_data_type
| ) |  |

#define CV_INIT_FUNC_TAB | ( |  | tab,
|  |  | FUNCNAME,
|  |  | FLAG
| ) |  |

Value:

    (tab).fn_2d[CV_8U] = (void*)FUNCNAME##_8u##FLAG;    \
        (tab).fn_2d[CV_8S] = 0;                             \
        (tab).fn_2d[CV_16U] = (void*)FUNCNAME##_16u##FLAG;  \
        (tab).fn_2d[CV_16S] = (void*)FUNCNAME##_16s##FLAG;  \
        (tab).fn_2d[CV_32S] = (void*)FUNCNAME##_32s##FLAG;  \
        (tab).fn_2d[CV_32F] = (void*)FUNCNAME##_32f##FLAG;  \
        (tab).fn_2d[CV_64F] = (void*)FUNCNAME##_64f##FLAG

#define CV_LE | ( |  | a,
|  |  | b
| ) |  | ((a) <= (b))

#define CV_LT | ( |  | a,
|  |  | b
| ) |  | ((a) < (b))

#define CV_MAKE_STR | ( |  | a ) | #a

#define CV_MALLOC_ALIGN 16

#define CV_MAX_ALLOC_SIZE (((size_t)1 << (sizeof(size_t)*8-2)))

#define CV_MAX_INLINE_MAT_OP_SIZE 10

#define CV_MAX_LOCAL_MAT_SIZE 32

#define CV_MAX_LOCAL_SIZE (CV_MAX_LOCAL_MAT_SIZE*CV_MAX_LOCAL_MAT_SIZE*(int)sizeof(double))

#define CV_MAX_STRLEN 1024

#define CV_MUL | ( |  | a,
|  |  | b
| ) |  | ((a) * (b))

#define CV_NE | ( |  | a,
|  |  | b
| ) |  | ((a) != (b))

#define CV_NEG_INF 0x807fffff

#define CV_NONZERO | ( |  | a ) | ((a) != 0)

#define CV_NONZERO_FLT | ( |  | a ) | (((a)+(a)) != 0)

#define CV_NOP | ( |  | a ) | (a)

#define CV_NOTHROW throw()

#define CV_OR | ( |  | a,
|  |  | b
| ) |  | ((a) | (b))

#define CV_ORIGIN_BL 1

#define CV_ORIGIN_TL 0

#define CV_ORN | ( |  | a,
|  |  | b
| ) |  | (~(a) | (b))

#define CV_PASTE | ( |  | a,
|  |  | b
| ) |  | CV_PASTE2(a,b)

#define CV_PASTE2 | ( |  | a,
|  |  | b
| ) |  | a##b

#define CV_POS_INF 0x7f800000

#define CV_SIZEOF_FLOAT ((int)sizeof(float))

#define CV_SIZEOF_SHORT ((int)sizeof(short))

#define CV_SPARSE_HASH_RATIO 3

#define CV_SPARSE_HASH_SIZE0 (1<<10)

#define CV_SPARSE_MAT_BLOCK (1<<12)

#define CV_SQR | ( |  | a ) | ((a) * (a))

#define CV_SSE 0

#define CV_SSE2 0

#define CV_SSE3 0

#define CV_STORAGE_BLOCK_SIZE ((1<<16) - 128)

#define CV_STRUCT_ALIGN ((int)sizeof(double))

#define CV_STUB_STEP (1 << 30)

#define CV_SUB | ( |  | a,
|  |  | b
| ) |  | ((a) - (b))

#define CV_TOGGLE_DBL | ( |  | x ) | ((x)^((int64)(x) < 0 ? CV_BIG_INT(0x7fffffffffffffff) : 0))

#define CV_TOGGLE_FLT | ( |  | x ) | ((x)^((int)(x) < 0 ? 0x7fffffff : 0))

#define CV_XOR | ( |  | a,
|  |  | b
| ) |  | ((a) ^ (b))

#define CV_ZERO_OBJ | ( |  | x ) | memset((x), 0, sizeof(*(x)))

#define cvStackAlloc | ( |  | size ) | cvAlignPtr( alloca((size) + CV_MALLOC_ALIGN), CV_MALLOC_ALIGN )

#define cvUnsupportedFormat "Unsupported format"

#define EXIT __CV_EXIT__

#define FALSE 0

#define IPPI_CALL | ( |  | func ) | CV_Assert((func) >= 0)

#define TRUE 1

## Typedef Documentation

typedef struct CvBigFuncTable CvBigFuncTable

typedef struct CvFuncTable CvFuncTable

typedef enum CvStatus CvStatus

## Enumeration Type Documentation

enum CvStatus

Enumerator:

  CV_BADMEMBLOCK_ERR |
  CV_INPLACE_NOT_SUPPORTED_ERR |
  CV_UNMATCHED_ROI_ERR |
  CV_NOTFOUND_ERR |
  CV_BADCONVERGENCE_ERR |
  CV_BADDEPTH_ERR |
  CV_BADROI_ERR |
  CV_BADHEADER_ERR |
  CV_UNMATCHED_FORMATS_ERR |
  CV_UNSUPPORTED_COI_ERR |
  CV_UNSUPPORTED_CHANNELS_ERR |
  CV_UNSUPPORTED_DEPTH_ERR |
  CV_UNSUPPORTED_FORMAT_ERR |
  CV_BADARG_ERR |
  CV_NOTDEFINED_ERR |
  CV_BADCHANNELS_ERR |
  CV_BADRANGE_ERR |
  CV_BADSTEP_ERR |
  CV_BADFLAG_ERR |
  CV_DIV_BY_ZERO_ERR |
  CV_BADCOEF_ERR |
  CV_BADFACTOR_ERR |
  CV_BADPOINT_ERR |
  CV_BADSCALE_ERR |
  CV_OUTOFMEM_ERR |
  CV_NULLPTR_ERR |
  CV_BADSIZE_ERR |
  CV_NO_ERR |
  CV_OK |

## Function Documentation

CV_INLINE int cvAlign | ( | int | size,
|  | int | align
| ) |  |

CV_INLINE void* cvAlignPtr | ( | const void * | ptr,
|  | int align | CV_DEFAULT32
| ) |  |

CV_INLINE CvSize cvGetMatSize | ( | const CvMat * | mat ) |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines